Loading...
Searching...
No Matches
Opm::Properties::FlashSolver< TypeTag, TTag::FlashModel > Struct Template Reference

Use the NCP flash solver by default. More...

`#include <flashmodel.hh>`

## Public Types

using | type
using | type

## Detailed Description

template<class TypeTag>
struct Opm::Properties::FlashSolver< TypeTag, TTag::FlashModel >

Use the NCP flash solver by default.

Use the Pt flash solver by default.

## Member Typedef Documentation

## type [1/2]

template<class TypeTag>

using Opm::Properties::FlashSolver< TypeTag, TTag::FlashModel >::type

Initial value:
NcpFlash<GetPropType<TypeTag, Properties::Scalar>,
GetPropType<TypeTag, Properties::FluidSystem>>
Opm::GetPropType
typename Properties::Detail::GetPropImpl< TypeTag, Property >::type::type GetPropType
get the type alias defined in the property (equivalent to old macro GET_PROP_TYPE(....
Definition propertysystem.hh:233

## type [2/2]

template<class TypeTag>

using Opm::Properties::FlashSolver< TypeTag, TTag::FlashModel >::type

Initial value:
PTFlash<GetPropType<TypeTag, Properties::Scalar>,
GetPropType<TypeTag, Properties::FluidSystem>>

The documentation for this struct was generated from the following files:

- opm/models/flash/flashmodel.hh
- opm/models/ptflash/flashmodel.hh